package com.pms.ocp.controller;

import com.pms.ocp.model.entity.OcpTenantBase;
import com.pms.ocp.model.vo.ResponseVO;
import com.pms.ocp.service.OcpTenantBaseService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@RequestMapping("/tenant")
@RestController
@Api(tags = "应用接口")
public class OcpTenantDetailsController {

    @Autowired
    private OcpTenantBaseService ocpTenantBaseService;
    @ApiOperation("应用基础信息-查询")
    @PostMapping("/getotbList")
    public ResponseVO getOtbList(@RequestBody OcpTenantBase ocpTenantBase){
        return ocpTenantBaseService.getOtbList(ocpTenantBase);
    }
}
