package com.pms.ocp.service.impl;

import com.pms.ocp.mapper.OcpApiTenantRelMapper;
import com.pms.ocp.model.entity.OcpApiTenantRel;
import com.pms.ocp.model.vo.ResponseVO;
import com.pms.ocp.service.OcpApiTenantRelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


@Service
public class OcpApiTenantRelServiceImpl implements OcpApiTenantRelService {
    @Autowired
    private OcpApiTenantRelMapper ocpApiTenantRelMapper;


    @Override
    public ResponseVO getOatrList(OcpApiTenantRel ocpApiTenantRel) {
        List<String> oatrList = ocpApiTenantRelMapper.getOatrList(ocpApiTenantRel);
        return ResponseVO.ok(oatrList);
    }
}
